#ident  "@(#)pam.conf 1.19     95/11/30 SMI"
#
# PAM configuration
#
# Authentication management
#


# -----------------------------------------------------------------------------
# modified by Simon (2002 Jul 09) for ldap...

login   auth sufficient /usr/lib/security/pam_unix.so.1 
login   auth required   /usr/lib/security/pam_ldap.so.1 use_first_pass

#login	auth required 	/usr/lib/security/pam_unix.so.1 
#login	auth required 	/usr/lib/security/pam_dial_auth.so.1 

telnet  auth sufficient /usr/lib/security/pam_unix.so.1 
telnet  auth required   /usr/lib/security/pam_ldap.so.1 use_first_pass

# -----------------------------------------------------------------------------
#
rlogin  auth sufficient /usr/lib/security/pam_rhosts_auth.so.1
rlogin	auth required 	/usr/lib/security/pam_unix.so.1
#
# -----------------------------------------------------------------------------
# -----------------------------------------------------------------------------
#
dtlogin	auth required 	/usr/lib/security/pam_unix.so.1 
#
rsh	auth required	/usr/lib/security/pam_rhosts_auth.so.1
#
other	auth required	/usr/lib/security/pam_unix.so.1
other	auth required	/usr/lib/security/pam_ldap.so.1 use_first_pass
#
# Account management
#
login	account required	/usr/lib/security/pam_unix.so.1 
dtlogin	account required	/usr/lib/security/pam_unix.so.1 
#
other	account required	/usr/lib/security/pam_unix.so.1 
#
# Session management
#
other	session required	/usr/lib/security/pam_unix.so.1 
#
# Password management
#
other	password required	/usr/lib/security/pam_unix.so.1 
#
# Nick (21/9/2000) - restrict su access to root
#
# -----------------------------------------------------------------------------
# -----------------------------------------------------------------------------
#
su      auth requisite  /usr/lib/security/su_group0.so.1
su      auth required   /usr/lib/security/pam_unix.so.1
#
# -----------------------------------------------------------------------------
# Nick (4/1/2002) - settings for wu-ftpd 
# modified by Simon (2002 Jul 09) for ldap...
#
#ftp auth required /usr/lib/security/pam_unix.so.1 
#
ftp  auth sufficient /usr/lib/security/pam_unix.so.1 
ftp  auth required   /usr/lib/security/pam_ldap.so.1 use_first_pass
